Article delegate-en/4614 of [1-5169] on the server localhost:119
  upper oldest olders older1 this newer1 newers latest
search
[Top/Up] [oldest] - [Older+chunk] - [Newer+chunk] - [newest + Check]

Newsgroups: mail-lists.delegate-en

[DeleGate-En] Delegate - AIX 6.1 Compilation Errors
24 Oct 2009 08:48:00 GMT Antonio Hernandez Jr <payjabdyi-i3inxho4mzfr.ml@ml.delegate.org>



Hello,


We like to install the latest Delegate on our

new AIX servers 6.1(oslevel 6100-00-00-000X),

64bit Hardware and Kernel having

both C compilers XL C/C++ 10.1.04 and GNU gcc-4.2.4-1.



We followed the correspondence in the mailing list(mail-lists.delegate-en)
with subject:

Compilation Error on AIX 5.3 (#4520 up to #4528)

Date: 08/05 - 08/07



We almost have the same compiler message results.

It seems we are stopping at this point whatever compiler we use(gxlc++,
gcc, g++)


gxlc++  -L../lib -o ./embed embed.o
version.o ../srcsign.o  ../lib/library.a ../lib/libmimekit.a
../lib/libmd5.a  -lnsl -ldl -lpthread -MT -lpam -lc ../lib/libsubst.a
gxlc++: 1501-257 Option -MT is not recognized.Option will be ignored.
ld: 0711-317 ERROR: Undefined symbol: .bzero(void*,unsigned long)
ld: 0711-317 ERROR: Undefined symbol: .Xgetpeername(int,sockaddr*,int*)
ld: 0711-317 ERROR: Undefined symbol: .Xgetsockname(int,sockaddr*,int*)
ld: 0711-317 ERROR: Undefined symbol: .bcmp(const void*,const
void*,unsigned long)
ld: 0711-317 ERROR: Undefined symbol: .bcopy(const void*,void*,unsigned
long)
ld: 0711-317 ERROR: Undefined symbol: .Xgetsockopt(int,int,int,void*,int*)
ld: 0711-317 ERROR: Undefined symbol: .Xaccept(int,sockaddr*,int*)
ld: 0711-317 ERROR: Undefined symbol: .flock
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more
information.
xlc++ -qsourcetype=c++ -D__GNUC__=3 -D__GNUC_MINOR__=3
-D__GNUC_PATCHLEVEL__=4
-D__VERSION__="3.3.4" -Dinline=__inline__ -D__inline=__inline__
-qkeyword=typeof -qnokeyword=__inline
-qbitfields=signed -L../lib -o ./embed embed.o
version.o ../srcsign.o ../lib/library.a
../lib/libmimekit.a ../lib/libmd5.a -lnsl -ldl -lpthread
-lc ../lib/libsubst.a
make: The error code from the last command is 8.


We have downloaded the latest STABLE and pre versions(9.5.5, 9.5.6) and
recompiled but we always stop at the

"embed" portion. Maybe you could teach us some configuration we missed.



Your help is greatly appreciated.



Regards,



Antonio "Mark" Hernandez, Jr.



  admin search upper oldest olders older1 this newer1 newers latest
[Top/Up] [oldest] - [Older+chunk] - [Newer+chunk] - [newest + Check]
@_@V